Package org.apache.ignite.mxbean

## Interface ComputeMXBean

All Known Implementing Classes:
  `ComputeMXBeanImpl`

    @Deprecated
    public interface ComputeMXBean

Deprecated.
Use managements API beans, instead.
Compute MXBean interface.

See Also:
  `CommandMBean`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `cancel​(String sesId)` Deprecated. Kills compute task by the session idenitifier.

### Method Detail

#### cancel

    @MXBeanDescription("Kills compute task by the session idenitifier.")
    void cancel​(@MXBeanParameter(name="sesId",description="Session identifier.")
                String sesId)

Deprecated.
Kills compute task by the session idenitifier.

Parameters:
  `sesId` - Session id.
See Also:
  `ComputeTaskView.sessionId()`, `ComputeJobView.sessionId()`